// Part of SimCoupe - A SAM Coup emulator
//
// Serial.cpp: SDL serial interface
//
//  Copyright (c) 1999-2001  Simon Owen
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

// ToDo:
//  - the implementation - inevitably containing platform-specific code
//    so perhaps it should link to a native version elsewhere?

#include "SimCoupe.h"
#include "Serial.h"


CModemDevice::CModemDevice ()
{
}

CModemDevice::~CModemDevice ()
{
}


BYTE CModemDevice::In (WORD wPort_)
{
    return 0x00;
}

void CModemDevice::Out (WORD wPort_, BYTE bVal_)
{
    switch (wPort_ >> 8)
    {
        case 0x03:
        {
            // Write a byte to the port
            break;
        }
    }
}
